Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class PostalCodeImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.contact.PostalCodeImpl

public class PostalCodeImpl
extends BelongingImpl
implements PostalCode

A string used to expedite delivery of an item via the mail. It includes a qualifier to identify a specific format. The default is a U.S. Zip Code.

See Also:
  `PostalCode`, `PostalCodeHome`, Serialized Form

Field Summary
`java.lang.String` | `code` code [PostalCode] <*>------> [`String`]
`java.lang.String` | `postalCodeType` postalCodeType [PostalCode] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`PostalCodeImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getCode()` Get the value of code
`java.lang.String` | `getPostalCodeType()` Get the value of postalCodeType
`java.lang.String` | `location()` Return a string the represents the location associated with the code.
`void` | `setCode(java.lang.String code)` Set the value of code
`void` | `setLocation(java.lang.String location)` Set the code based on the location.
`void` | `setPostalCodeType(java.lang.String postalCodeType)` Set the value of postalCodeType
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### code

    public java.lang.String code

                        code
       [PostalCode] <*>------> [String]

### postalCodeType

    public java.lang.String postalCodeType

                        postalCodeType
       [PostalCode] <*>------> [String]

Constructor Detail

### PostalCodeImpl

    public PostalCodeImpl()

Method Detail

### getCode

    public java.lang.String getCode()

  Get the value of code
  Specified by:
    getCode in interface PostalCode
  Returns:
    code.

### setCode

    public void setCode(java.lang.String code)

  Set the value of code
  Specified by:
    setCode in interface PostalCode
  Parameters:
    `code` - code to be added

### getPostalCodeType

    public java.lang.String getPostalCodeType()

  Get the value of postalCodeType
  Specified by:
    getPostalCodeType in interface PostalCode
  Returns:
    postalCodeType.

### setPostalCodeType

    public void setPostalCodeType(java.lang.String postalCodeType)

  Set the value of postalCodeType
  Specified by:
    setPostalCodeType in interface PostalCode
  Parameters:
    `postalCodeType` - postalCodeType to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### location

    public java.lang.String location()

  Return a string the represents the location associated with the code.
  Specified by:
    location in interface PostalCode

### setLocation

    public void setLocation(java.lang.String location)

  Set the code based on the location. The caller specifies the location which is looked up and the appropriate value is stored.
  Specified by:
    setLocation in interface PostalCode

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.